%global dlrn_nvr ansible-collections-openstack.cloud-1.9.1-1.20230420063954.0e9a6f2
%global dlrn 1
%define upstream_version 1.9.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?dlrn}
%define upstream_name ansible-collections-openstack.cloud
%else
%define upstream_name ansible-collections-openstack
%endif


Name:           ansible-collections-openstack
Version: 1.9.1
Release: 1.20230420063954.0e9a6f2%{?dist}
Summary:        Openstack Ansible collections
License:        GPLv3+
URL:            https://opendev.org/openstack/ansible-collections-openstack
Source0: ansible-collections-openstack.cloud-1.9.1-1.20230420063954.0e9a6f2.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=0e9a6f26c268f46f44969887e0e9eaf08bb6ab27

BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  python3-pbr
BuildRequires:  python3-devel

%if 0%{?rhel} > 8
Requires:       openstack-ansible-core
%else
Requires:       (ansible >= 2.8.0 or ansible-core >= 2.11)
%endif
Requires:       python3-openstacksdk >= 0.13.0

%description
Openstack Ansible collections

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

%build
%py3_build

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py3_install

%files

%doc README.md
%license COPYING
%{python3_sitelib}/ansible_collections_openstack.cloud-*.egg-info
%{_datadir}/ansible/collections/ansible_collections/openstack/cloud/

%changelog
* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20230420063954.0e9a6f2
- Update patches

* Fri Sep 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20220930143709.0e9a6f2
- Update patches
- Release 1.9.1 version
- Do not remove trailing spaces when reading public key in keypair module
- Fix release job
- Release 1.9.0 version
- Fixed code violating Flake8 rule E275
- Refactored TripleO jobs
- Backport improvements to endpoint module
- Backport improvements to catalog_service
- Backport improvements to role_assignment
- Backport improvements to keypair_info
- Make publish_collection more universal
- Applied workaround in CI for issue #78017 in ansible-core
- Backport improvements to recordset module
- Backport enhancements to host_aggregate module
- Changed our DevStack based Zuul CI jobs to voting
- Warn users about us breaking backward compatibility
- Use bifrost's stable/yoga branch for jobs with OpenStack SDK 0.x.x
- Lowered maximum OpenStack SDK version to 0.98.999
- Updated pip constraints for release candidates of OpenStackSDK's first major release
- Changed TripleO jobs to use correct release files
- Backported changes to identity_group_info from master branch
- Removed Zuul CI job for OpenStack Queens
- Set owner in image module
- Backported changes to image_info from master branch
- Backported changes to identity_role_info from master branch
- Backported changes to identity_domain_info from master branch
- Backported changes to identity_user from master branch
- Backported changes to identity_user_info from master branch
- Removed job definitions for master branch
- Sychronize updates to identity_role from master branch
- Fixed return values in compute_service_info module again
- Fixed return value disable{d,s}_reason in compute_service_info module
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Support description in sg-rule creation
- Drop username from return values of identity_user_info
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting
- Fix logic in routers_info

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-1.20220727174253.5bb8312
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-0.20220712064916.5bb8312
- Update patches

* Mon Jul 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-0.20220711150855.5bb8312
- Update patches

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-0.20220513061850.5bb8312
- Update patches

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-0.20220512121847.5bb8312
- Update patches
- Use proxy layer in identity_user module
- Added description to RETURN doc of identity_user_info module
- Use proxy layer in identity_user_info
- Removed job definitions for stable/1.0.0 branch
- Fixed return type of identity_role module
- Update identity_role to work with latest sdk
- Fixed return values in compute_service_info module again
- Fixed return value disable{d,s}_reason in compute_service_info module
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Renamed image property protected to is_protected
- Support description in sg-rule creation
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting
- Drop username from return values of identity_user_info
- Release 1.8.0 version
- Fix logic in routers_info
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Updated return value docs of compute_service_info module
- Updated return value docs of compute_service_info module
- Synchronized Zuul CI configuration across all branches
- Run tripleo*{train,wallaby}-osa jobs on stable/1.0.0 branch only
- Dropped inherited variable tox_install_siblings
- Dropped redundant job *-new_sdk
- Run *-releases job on master branch only
- Fixed python packages in tox virtualenvs
- Run *-octavia job on master branch only
- Disable jobs against master branch of OpenStack SDK on stable/1.0.0 branch
- Fixed python packages in tox virtualenvs
- Added warning about the upcoming release and its breaking changes
- Bump devel version to 2.0.0-dev in master
- Release 1.7.2 version
- Revert changes to Zuul config which accidentally got merged from stable branch
- Fix inventory plugin doc for new ansible
- Add support for system role in role assignment
- [LB] Add support for setting monitor_address

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220506062321.fd1b9fc
- Update patches
- Use proxy layer in identity_user module
- Added description to RETURN doc of identity_user_info module
- Use proxy layer in identity_user_info
- Removed job definitions for stable/1.0.0 branch
- Fixed return type of identity_role module
- Update identity_role to work with latest sdk
- Fixed return values in compute_service_info module again
- Fixed return value disable{d,s}_reason in compute_service_info module

* Fri Apr 29 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220429072444.c10cc9d
- Update patches
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer

* Fri Apr 29 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220429062946.5a43bdb
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer

* Tue Apr 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220426073423.5a43bdb
- Update patches
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Renamed image property protected to is_protected
- Support description in sg-rule creation
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting

* Tue Apr 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220426062834.5fc8fca
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Renamed image property protected to is_protected
- Support description in sg-rule creation
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting

* Sun Apr 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220417082321.5fc8fca
- Update patches
- Drop username from return values of identity_user_info
- Fix logic in routers_info

* Sun Apr 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220417071847.41ad425
- Drop username from return values of identity_user_info
- Fix logic in routers_info

* Fri Apr 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220408073044.41ad425
- Update patches
- Dropped deprecated return values in floating_ip_info and assert remaining fields
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Updated return value docs of compute_service_info module
- Fixed Ansible branch in base job openstack-tox-linters-ansible
- Add subnet pool module
- Add 'all_projects' to server_action module
- Refactored tox requirements for different Ansible releases

* Fri Apr 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220408062725.b376e3e
- Dropped deprecated return values in floating_ip_info and assert remaining fields
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Updated return value docs of compute_service_info module
- Fixed Ansible branch in base job openstack-tox-linters-ansible
- Add subnet pool module
- Add 'all_projects' to server_action module
- Refactored tox requirements for different Ansible releases

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220404171227.b376e3e
- Update patches
- Fix ansible-lint issues for newest version

* Wed Mar 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220330212344.938abd0
- Update patches
- Reenabled check-import.sh which tests imports to Ansible Galaxy
- Added job variants for stable/1.0.0 branch to Zuul CI config
- Set Zuul CI job for OpenStack Train to voting
- Fixed job hierarchy for Zuul CI

* Sat Mar 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220326062318.d44915c
- Update patches
- Synchronized galaxy.yml and galaxy.yml.in files
- Fixed branch matching for parent jobs when on stable/1.0.0 branch

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220325072417.771fb68
- Update patches
- Run jobs for older OpenStack releases on stable/1.0.0 branch only
- Fixed job hierarchy in Zuul CI configuration
- Changed jobs against master branch of OpenStack SDK to non-voting
- Synchronized Zuul CI configuration across all branches

* Wed Mar 23 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220323062242.e28ab9a
- Update patches
- Dropped redundant job *-new_sdk

* Tue Mar 22 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220322062229.cc604d3
- Update patches
- Fixed python packages in tox virtualenvs
- Bump devel version to 2.0.0-dev in master

* Mon Mar 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220321062231.aae539a
- Update patches
- Remove old,  unsupported parameters from documentation in image_info module
- Handle aggregate host list set to None

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220316062241.a162a02
- Update patches
- Added warning about the upcoming release and its breaking changes
- Fix assertion after stack deletion
- Router: Remove unneeded 'filter' parameter

* Sat Mar 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220312062401.879270a
- Update patches
- Bumped minimum required OpenStack SDK release to SDK 0.36.0 (Train)

* Thu Mar 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-0.20220310064102.8147294
- Update patches
- Revert changes to Zuul config which accidentally got merged from stable branch
- Fix docs for openstack fragment
- Release 1.7.1 version
- Remove new SDK job from stable/1.0.0 CI
- [LB] Add support for setting monitor_address
- Fix inventory plugin doc for new ansible
- Fix inventory plugin doc for new ansible
- Add support for system role in role assignment
- [LB] Add support for setting monitor_address
- Run jobs on stable branch

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220217061856.ba9aa99
- Update patches
- Fix os_quota docs

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220216062721.617e8fb
- Update patches
- Release 1.7.0 version
- Add CentOS 9 wallaby and master
- Add CentOS 9 tripleo job

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220214062217.9c28af7
- Update patches
- Adds use_name variable

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220211062318.7aa6263
- Update patches
- Remove project properties tests and support
- Add openstack.cloud.baremetal_port module

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220210062302.a1b9207
- Update patches
- Add openstack.cloud.baremetal_port_info module
- Add openstack.cloud.baremetal_node_info

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220209062305.bdf472a
- Update patches
- Move identity domain to use proxy layer

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220201062308.b7fb23b
- Update patches
- Add zuul artifact

* Fri Jan 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220128062227.6ed02ef
- Update patches
- Write tests log to a separate file

* Thu Jan 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220127062231.cb396cf
- Update patches
- Add dns_[name,domain] to the port module

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220126062321.6569e07
- Update patches
- Add new SDK job non-voting
- Fix CI for new openstack SDK

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220120061837.5e2ab3d
- Update patches
- Fix identity user lookup with a domain

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.0-0.20220114061843.f3b12fe
- Update patches
- Release 1.6.0 version

* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.4-0.20220113061909.39a627d
- Update patches
- Add compute services list module
- Add Neutron RBAC modules

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.4-0.20211219124928.26530ac
- Update patches
- Leave queens job only in experimental
- quota: Adds metadata_items parameter

* Sat Dec 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.4-0.20211218061852.1582956
- Update patches
- Remove failing job from gate
- Replace victoria job by xena one
- Move queens job to experimental

* Sat Nov 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.3-0.20211113071848.15f73aa
- Update patches
- Release 1.5.3 version with bugfixes
- server_volume: check specified server is found
- Don't require allowed_address_pairs for port

* Wed Nov 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20211110071921.b2f3cf3
- Update patches
- Release 1.5.2 version

* Fri Nov 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20211105062037.11c7cd2
- Update patches
- Fix issue with same host and group names

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20211102062058.59d0e4c
- Update patches
- Flavor properties are not deleted on changes and id will stay

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20211027143347.014665d
- Update patches
- Add documentation links to README.md

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20211006061911.ecaff2a
- Update patches
- Clean up the old jobs for rocky,stein,queens
- Move CI to use Ansible 2.12 version as main
- Add client and member listener timeouts for persistence (Ex. SSH)

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210922061858.011515d
- Update patches
- Added missing warn() used in cloud.openstack.quota

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210908102536.bbefa8c
- Update patches

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210903080052.bbefa8c
- Update patches
- Don't run functional jobs on galaxy.yml change
- Release 1.5.1 version

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210817062821.ae4e7f3
- Update patches
- Remove tests directory from ansible-tests
- Add support check mode for all info modules

* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210812061813.770b283
- Update patches
- Reenable octavia job to vote

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210810061812.42921c6
- Update patches
- Changed minversion in tox to 3.18.0
- Allow to attach multiple floating ips to a server

* Fri Aug 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210806061809.0e370b2
- Update patches
- Only add or remove router interfaces when needed

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210804061810.0441403
- Update patches
- Run ansible devel sanity tests on py38

* Sun Aug 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-0.20210801101806.4160888
- Update patches
- Reenable ansible 2.11 linters job

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20210730061810.07374a1
- Update patches
- Add mandatory requires_ansible version to metadata
- Remove semver check from release job

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20210729061806.441a61f
- Update patches
- Change the pipeline of releasing to tag pipeline
- Add automatic release job triggered by tag
- Wait for pool to be active and online

* Tue Jul 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20210720061810.938b90e
- Update patches
- Add protocol listener octavia

* Fri Jun 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20210625061807.ce853a8
- Update patches
- Add missing info to changelog
- Update IRC server in README

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20210624061812.b839f9e
- Update patches
- Bump to devel 1.5.1-dev version
- Release 1.5.0 version
- fix update on empty list of allowed address pairs
- Only apply necessary changes to subnets
- Add address scope module

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210623061812.a89ec02
- Update patches
- Switch Quota module to OpenStackModule
- Switch Snapshot module to OpenStackModule

* Tue Jun 22 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210622061809.50b5556
- Update patches
- Switch hostaggregate module to OpenStackModule
- Switch ProjectAccess module to OpenStackModule
- Switch identity_role module to OpenStackModule
- Switch user_info module to OpenStackModule
- Switch role_assignment module to OpenStackModule

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210618072959.4ee8621
- Update patches

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210618061811.4ee8621
- Update patches
- Dns zone info module
- Add check_mode attribute to OpenstackModule
- Switch group_assignment module to OpenStackModule
- Switch KeystoneFederationProtocolInfo module to OpenStackModule
- Switch catalog_service module to OpenStackModule
- Switch federation_idp_info module to OpenStackModule
- Switch federation_mapping module to OpenStackModule
- Switch federation_mapping_info module to OpenStackModule
- Switch floating_ip module to OpenStackModule
- Switch lb_listener module to OpenStackModule
- Switch lb_member module to OpenStackModule
- Switch lb_pool module to OpenStackModule
- Switch port_info module to OpenStackModule

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210617071812.4171ee5
- Update patches
- Switch Stack module to OpenStackModule
- Switch Recordset module to OpenStackModule
- Switch ServerGroup module to OpenStackModule
- Switch auth module to OpenStackModule
- Switch coe_cluster_template module to OpenStackModule
- Switch flavor module to OpenStackModule
- Switch flavor_info module to OpenStackModule
- Switch endpoint module to OpenStackModule
- Switch identity_domain_info module to OpenStackModule
- Switch identity_user module to OpenStackModule

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210616061812.74c18f3
- Update patches
- Floating ip info module
- Switch identity_domain module to OpenStackModule
- Switch federation_idp module to OpenStackModule
- Switch federation_protocol module to OpenStackModule
- Switch identity_group module to OpenStackModule
- Switch port module to OpenStackModule
- Switch ServerMetadata module to OpenStackModule
- Switch coe_cluster module to OpenStackModule
- Switch identity_group_info module to OpenStackModule
- Switch object module to OpenStackModule

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210608051808.4a1b092
- Update patches
- Update checks for validate_certs in openstack_cloud_from_module
- Fix host_aggregate to tolerate aggregate.hosts being None
- Fail if referenced source image for a new volume does not exist

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210527163701.d4033b4
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210527100211.d4033b4
- Update patches
- Remove pip job
- Fix inventory plugin on Ansible 2.11
- Make tripleo master job voting
- Add bindep.txt for ansible-builder

* Wed May 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210519051815.6b3bf3b
- Update patches
- Add support to setting image tags

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210513060045.daaa6bf
- Update patches
- Add non-voting train TripleO jobs
- Switch project and project_info module to OpenStackModule
- Configure only one tripleo job
- Add TripleO job on collections used in TripleO
- Fix the idempotent of compute_flavor module

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210430071807.d1d6b4d
- Update patches
- Remove CI jobs for rocky and stein branches from check
- setup.cfg: Replace dashes with underscores
- Migrating image module from AnsibleModule to OpenStackModule

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20210421071935.8da4e85
- Update patches
- Add wallaby job to CI

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump to dev version
- Release 1.4.0 version
- Container module for management Swift containers
- Prepare for Ansible 2.11 tests
- Add execution environment metadata
- Fix issues with newest ansible-test 2.11

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix CI for latest ansible-test with no_log

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- security_group_rule: add support ipv6-icmp

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add binding profile to port module

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add option to exclude legacy groups

* Mon Feb 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Mark 2.9 ansible-test sanity as non-voting"
- Add Octavia job for testing Load Balancer

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


